Contents

# DateValue Function

Returns a Date object from a string representing a date.

The returned object is represented internally as a single numeric value corresponding to the specified date. This value can be used to calculate the number of days between two dates.

### Syntax:

      DateValue(date As String)

### Parameters:

date: A string that contains the date that will be converted to a Date object.

The string passed to DateValue must be expressed in one of the date formats defined by your locale setting (see LibreOffice - Preferences Tools - Options - Languages and Locales - General) or using the ISO date format "yyyy-mm-dd" (year, month and day separated by hyphens).

### Return type:

Date.

### Error codes:

༥ ནུས་མེད་བྱ་སྒོའི་ལམ་ལུགས་བོད་བརྡ་

### Example:

      Sub ExampleDateValue
          Dim aDate As Date
          aDate = DateValue("2021-12-20")
          ' Prints the localized date
          MsgBox aDate
          ' Extracts the year, month and day from the date object
          MsgBox Year(aDate)
          MsgBox Month(aDate)
          MsgBox Day(aDate)
          ' Prints the numeric value corresponding to the date (as Long type)
          MsgBox CLng(aDate)
      End Sub

འབྲེལ་བ་ཡོད་པའི་གནད་དོན།

DateSerial Function